Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 460086 - Push gnome-desktop-sharp for Fedora 9?
Summary: Push gnome-desktop-sharp for Fedora 9?
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-desktop-sharp
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Xavier Lamien
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 462053 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-26 04:25 UTC by Michel Alexandre Salim
Modified: 2009-07-15 08:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-15 08:21:36 UTC
Type: ---


Attachments (Terms of Use)

Description Michel Alexandre Salim 2008-08-26 04:25:01 UTC
Description of problem:
Would it be possible to have gnome-desktop-sharp for Fedora 9? It's a dependency for monodevelop 1.9, and seeing as gtksourceview2-sharp, that it obsoletes, has never been properly released for Fedora 9, it should not pose any problem.

Comment 1 Xavier Lamien 2008-09-12 08:39:36 UTC
*** Bug 462053 has been marked as a duplicate of this bug. ***

Comment 2 Xavier Lamien 2008-09-12 08:41:59 UTC
Additional comment From Paul <paul@all-the-johnsons.co.uk> on bug #462053

Description of problem:
gnome-desktop-sharp needs to be brought into F9, without it both MD and
mono-tools are not available (this is part of bringing the F9 stack inline with
rawhide to enable a fuller stack to be available)

Comment 3 Paul F. Johnson 2008-09-18 13:11:07 UTC
The problem (from what I can see) is that gtk-sharp2 has to be updated for f9 as well. Xavier, I'll build gtk-sharp2 for f9 and import it then build gnome-desktop-sharp to help move this on.

Comment 4 Xavier Lamien 2008-09-18 14:47:09 UTC
please don't.
gtk-sharp2 has a lot of packages which depends on it and thus need to be rebuild against it. This happened on rawhide and i don't want to break anything on stable release.
Some tasks need to be done in order to push gtk-sharp2 on F-9.

I plan to work on that on friay evening, feel free to catch me on irc if you want to help.

Comment 5 Xavier Lamien 2008-09-18 14:49:03 UTC
s/friay/friday

Comment 6 Xavier Lamien 2008-09-24 12:19:37 UTC
Package gtk-sharp2-2.12.2 built for F-9.
It will be available once all mono packages will be rebuild.

Comment 7 Fedora Update System 2008-12-03 01:21:10 UTC
themonospot-0.7.1.1-1.fc9.1, muine-scrobbler-0.1.8-6.fc9, monotorrent-0.4-2.fc9.1, monosim-1.3.0.2-1.fc9.1, monodoc-1.9-2.fc9, monodevelop-1.0-7.fc9, mono-tools-1.9-5.fc9, lat-1.2.3-3.fc9.1, incollector-1.0-6.fc9.1, gbrainy-1.00-2.fc9.1, cowbell-0.3-0.svn34.4.2.fc9.1, cdcollect-0.6.0-5.fc9.1, bless-0.6.0-1.fc9.1, blam-1.8.5-3.fc9.1, gmime-2.2.21-2.fc9, gsf-sharp-0.8.1-8.fc9, tomboy-0.10.1-2.fc9.1, f-spot-0.4.3.1-2.fc9, muine-0.8.8-10.fc9, gnome-do-0.4.2.0-2.fc9, avahi-0.6.22-11.fc9, mono-addins-0.3.1-3.fc9, banshee-1.2.1-2.fc9.1, gnome-subtitles-0.8-3.fc9, evolution-sharp-0.16.1.1-2.fc9, gtksourceview-sharp-2.0.12-1.fc9, ipod-sharp-0.8.0-5.fc9, gnome-sharp-2.16.1-3.fc9, gecko-sharp2-0.12-7.fc9.1, beagle-0.3.8-6.fc9, gtk-sharp2-2.12.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Kevin Fenzi 2009-02-05 23:00:53 UTC
I still don't see gnome-desktop-sharp in f9. 

Was that package missed?

Comment 9 GodJinrai 2009-02-05 23:25:16 UTC
Yea, I need that package so that I can compile some programs from source.

Comment 10 Fedora Update System 2009-02-06 05:24:28 UTC
gnome-desktop-sharp-2.20.1-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update gnome-desktop-sharp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-1424

Comment 11 GodJinrai 2009-02-06 19:34:00 UTC
When I tried to install it, it told me that there was an incompatibility between it and gnome-sharp.  But it says my gnome-sharp is up to date.

Comment 12 Bug Zapper 2009-06-10 02:33:08 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Bug Zapper 2009-07-15 08:21:36 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.